### Method

# Json Generator to_stream

#### Declaration [src]

    gboolean
    json_generator_to_stream (
      JsonGenerator* generator,
      GOutputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Outputs JSON data and writes it (synchronously) to the given stream.

Available since: | 0.12

#### Parameters

`stream` | `GOutputStream`
| The output stream used to write the JSON data.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the write operation was successful.